org.cpsolver.coursett.criteria.placement

## Class AssignmentCount.AssignmentCountContext

- java.lang.Object
- - org.cpsolver.ifs.criteria.AbstractCriterion.ValueContext
  - - org.cpsolver.coursett.criteria.placement.AssignmentCount.AssignmentCountContext

- All Implemented Interfaces:
    AssignmentContext
  Enclosing class:
    AssignmentCount

      public class AssignmentCount.AssignmentCountContext
      extends AbstractCriterion.ValueContext

- - ### Field Summary

    - ### Fields inherited from class org.cpsolver.ifs.criteria.AbstractCriterion.ValueContext

      `iTotal`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AssignmentCountContext(Assignment<Lecture,Placement> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assigned(Assignment<Lecture,Placement> assignment, Placement value)` Update value when assigned
    `long` | `countAssignments(Placement value)`
    `protected void` | `unassigned(Assignment<Lecture,Placement> assignment, Placement value)` Update value when unassigned

    - ### Methods inherited from class org.cpsolver.ifs.criteria.AbstractCriterion.ValueContext

      `getBounds, getTotal, inc, setBounds, setTotal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssignmentCountContext

          protected AssignmentCountContext(Assignment<Lecture,Placement> assignment)

  - ### Method Detail

    - #### assigned

          protected void assigned(Assignment<Lecture,Placement> assignment,
                                  Placement value)

      Description copied from class: `AbstractCriterion.ValueContext`
      Update value when assigned
      Overrides:
        `assigned` in class `AbstractCriterion.ValueContext`
      Parameters:
        `assignment` - current assignment
        `value` - recently assigned value

    - #### unassigned

          protected void unassigned(Assignment<Lecture,Placement> assignment,
                                    Placement value)

      Description copied from class: `AbstractCriterion.ValueContext`
      Update value when unassigned
      Overrides:
        `unassigned` in class `AbstractCriterion.ValueContext`
      Parameters:
        `assignment` - current assignment
        `value` - recently unassigned value

    - #### countAssignments

          public long countAssignments(Placement value)